Delete a training path

This endpoint allows removing a training path from the business catalog by its identifier.

DELETE /api/v2/businesses/{businessId}/training-paths/{trainingPathId}

If the data included in the request is correct —both the businessId and the trainingPathId—, the indicated training path will be removed and the response will be a 204 No Content.

Considerations

The identifier that must be specified in the request is the external identifier of the training path.

The removal does not affect the courses that make up the training path or the course assignments created from it.

Error codes

In addition to the common errors, this endpoint can return the following codes:

Code Message Description

404 Not Found

Training path not found: <trainingPathId>

The given trainingPathId does not exist in the business.

What is a training path?